Debian Bug report logs - #285765
isinf() entry inaccurate

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Bas Zoetekouw <bas@debian.org>

Date: Wed, 15 Dec 2004 13:48:04 UTC

Severity: normal

Tags: fixed-upstream

Found in version 1.70-1

Fixed in version manpages/2.05-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Forwarded to Michael Kerrisk <mtk-manpages@gmx.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#285765; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: isinf() entry inaccurate
Date: Wed, 15 Dec 2004 14:36:38 +0100
Package: manpages-dev
Version: 1.70-1
Severity: normal

The man page entry of isinf() (in fpclassify(3)) is inaccurate.
Currently, it says:

|  isinf(x)
|       returns a nonzero value if (fpclassify(x) == FP_INFINITE)
|
| NOTE
|  On systems conforming to BSD 4.3, isinf() will return 1 for positive, and -1
|  for negative infinity.

However, this last remark also seems to apply to linux (with a recent
glibc).  At least my /usr/include/bits/mathcalls.h (libc6-dev
2.3.2.ds1-19) says:

| /* Return 0 if VALUE is finite or NaN, +1 if it
|    is +Infinity, -1 if it is -Infinity.  */
| __MATHDECL_1 (int,__isinf,, (_Mdouble_ __value)) __attribute__ ((__const__));


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-ac6
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
ii  manpages                      1.70-1     Manual pages about using a GNU/Lin

-- no debconf information



Reply sent to Martin Schulze <joey@infodrom.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 285765-forwarded@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: Debian Bug Tracking System <285765-forwarded@bugs.debian.org>
Subject: Re: isinf() entry inaccurate
Date: Sat, 18 Dec 2004 10:56:32 +0100
Moin Michael!

I have received the following bug report:

Bas Zoetekouw wrote:
> Package: manpages-dev
> Version: 1.70-1
> Severity: normal
> 
> The man page entry of isinf() (in fpclassify(3)) is inaccurate.
> Currently, it says:
> 
> |  isinf(x)
> |       returns a nonzero value if (fpclassify(x) == FP_INFINITE)
> |
> | NOTE
> |  On systems conforming to BSD 4.3, isinf() will return 1 for positive, and -1
> |  for negative infinity.
> 
> However, this last remark also seems to apply to linux (with a recent
> glibc).  At least my /usr/include/bits/mathcalls.h (libc6-dev
> 2.3.2.ds1-19) says:
> 
> | /* Return 0 if VALUE is finite or NaN, +1 if it
> |    is +Infinity, -1 if it is -Infinity.  */
> | __MATHDECL_1 (int,__isinf,, (_Mdouble_ __value)) __attribute__ ((__const__));

I'd like to propose the following patch:

Index: man3/fpclassify.3
===================================================================
RCS file: /var/cvs/debian/manpages/man3/fpclassify.3,v
retrieving revision 1.1.1.3
diff -u -p -r1.1.1.3 fpclassify.3
--- man3/fpclassify.3	2 Nov 2004 09:42:54 -0000	1.1.1.3
+++ man3/fpclassify.3	18 Dec 2004 09:50:50 -0000
@@ -67,10 +67,14 @@ returns a nonzero value if
 .BI isinf( x )
 returns a nonzero value if
 (fpclassify(x) == FP_INFINITE)
-.SH NOTE
+.SH NOTES
 On systems conforming to BSD 4.3,
 .B isinf()
 will return 1 for positive, and \-1 for negative infinity.
+
+On systems with a modern Glibc (> 2.2.5 or newer)
+.B isinf()
+will return 1 for positive, and \-1 for negative infinity.
 .SH "CONFORMING TO"
 C99
 .SH "SEE ALSO"

It may be worth to dig in older glibc source packages to find out
since when +1/-1 are returned.

Regards,

	Joey

-- 
Experience is something you don't get until just after you need it.

Please always Cc to me when replying to me on the lists.



Message #9 received at 285765-forwarded@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 285765-forwarded@bugs.debian.org,Bas Zoetekouw <bas@debian.org>
Subject: Re: isinf() entry inaccurate
Date: Fri, 24 Jun 2005 14:33:49 +0200 (MEST)
Hi Joey,

> I have received the following bug report:
> 
> Bas Zoetekouw wrote:
> > Package: manpages-dev
> > Version: 1.70-1
> > Severity: normal
> > 
> > The man page entry of isinf() (in fpclassify(3)) is inaccurate.
> > Currently, it says:
> > 
> > |  isinf(x)
> > |       returns a nonzero value if (fpclassify(x) == FP_INFINITE)
> > |
> > | NOTE
> > |  On systems conforming to BSD 4.3, isinf() will return 1 for 
> > | positive, and -1
> > |  for negative infinity.
> > 
> > However, this last remark also seems to apply to linux (with a recent
> > glibc).  At least my /usr/include/bits/mathcalls.h (libc6-dev
> > 2.3.2.ds1-19) says:
> > 
> > | /* Return 0 if VALUE is finite or NaN, +1 if it
> > |    is +Infinity, -1 if it is -Infinity.  */
> > | __MATHDECL_1 (int,__isinf,, (_Mdouble_ __value)) __attribute__
> ((__const__));
> 
> I'd like to propose the following patch:
> 
> Index: man3/fpclassify.3
> ===================================================================
> RCS file: /var/cvs/debian/manpages/man3/fpclassify.3,v
> retrieving revision 1.1.1.3
> diff -u -p -r1.1.1.3 fpclassify.3
> --- man3/fpclassify.3	2 Nov 2004 09:42:54 -0000	1.1.1.3
> +++ man3/fpclassify.3	18 Dec 2004 09:50:50 -0000
> @@ -67,10 +67,14 @@ returns a nonzero value if
>  .BI isinf( x )
>  returns a nonzero value if
>  (fpclassify(x) == FP_INFINITE)
> -.SH NOTE
> +.SH NOTES
>  On systems conforming to BSD 4.3,
>  .B isinf()
>  will return 1 for positive, and \-1 for negative infinity.
> +
> +On systems with a modern Glibc (> 2.2.5 or newer)
> +.B isinf()
> +will return 1 for positive, and \-1 for negative infinity.
>  .SH "CONFORMING TO"
>  C99
>  .SH "SEE ALSO"
> 
> It may be worth to dig in older glibc source packages to find out
> since when +1/-1 are returned.

It would have been helpful if you could have done this
research :-).  Where did you get the number 2.2.5.

The patch below is the change I've actually made for 2.05.

Cheers,

Michael

-- fpclassify.3        (revision 254)
+++ fpclassify.3        (working copy)
@@ -67,12 +67,18 @@
 (fpclassify(x) == FP_NAN)
 .TP
 .BI isinf( x )
-returns a non-zero value if
-(fpclassify(x) == FP_INFINITE)
+returns 1 if
+.I x
+is positive infinity, and \-1 if
+.I x
+is negative infinity.
 .SH NOTE
-On systems conforming to BSD 4.3,
+In glibc 2.01 and earlier,
 .B isinf()
-will return 1 for positive, and \-1 for negative infinity.
+returns a non-zero value (actually: 1) if
+.I x
+is an infinity (positive or negative).
+(This is all that C99 requires.)
 .SH "CONFORMING TO"
 C99
 .SH "SEE ALSO"

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

Weitersagen: GMX DSL-Flatrates mit Tempo-Garantie!
Ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#285765; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #14 received at 285765@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 285765@bugs.debian.org, control@bugs.debian.org
Subject: fixed-upstream
Date: Tue, 19 Jul 2005 10:36:10 +0200 (MEST)
tags 285765 fixed-upstream
thanks

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

5 GB Mailbox, 50 FreeSMS http://www.gmx.net/de/go/promail
+++ GMX - die erste Adresse f�r Mail, Message, More +++



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bas Zoetekouw <bas@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 285765-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 285765-close@bugs.debian.org
Subject: Bug#285765: fixed in manpages 2.05-1
Date: Mon, 14 Nov 2005 01:02:11 -0800
Source: manpages
Source-Version: 2.05-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.05-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.05-1_all.deb
manpages_2.05-1.diff.gz
  to pool/main/m/manpages/manpages_2.05-1.diff.gz
manpages_2.05-1.dsc
  to pool/main/m/manpages/manpages_2.05-1.dsc
manpages_2.05-1_all.deb
  to pool/main/m/manpages/manpages_2.05-1_all.deb
manpages_2.05.orig.tar.gz
  to pool/main/m/manpages/manpages_2.05.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 285765@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 14 Nov 2005 09:31:02 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.05-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 246668 253515 285765 305369
Changes: 
 manpages (2.05-1) unstable; urgency=low
 .
   * New upstream version, with these updates
     - Return value adjusted in fpclassify(3) (Closes: Bug#285765)
     - Include file adjustment in strtod(3) (Closes: Bug#246668)
     - s/selection/gpm/ in vcs(4) (Closes: Bug#253515)
     - Use proper signal flag in signal(7) (Closes: Bug#305369)
Files: 
 a2ef360be830eab335d9992039b350dc 584 doc - manpages_2.05-1.dsc
 fe349e6a536587a2a65878c1e3c2e424 1031281 doc - manpages_2.05.orig.tar.gz
 0f4c723e0b75c47143e33a343fe63605 44412 doc - manpages_2.05-1.diff.gz
 a5d59570331d289d80a38ce5bb728c3d 398906 doc important manpages_2.05-1_all.deb
 ac160ed7fde666b76ea3688f4f8b6472 1090416 doc standard manpages-dev_2.05-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDeE8RW5ql+IAeqTIRAhRZAKCTiLtyC9YdLRmUzAMcKHd2QPVRpACeMD4Q
m+ie6N7l7WkkDSC34lxya6c=
=EAJY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:11:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:57:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.